Overview | Package | Class | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.latka.event
Interface LatkaEventInfo

All Superinterfaces:
  LatkaEventListener

All Known Implementing Classes:
  AbstractReporter

public interface LatkaEventInfo
extends LatkaEventListener

An extension to LatkaEventListener that stores the success or failure of all requests. All of these events should report true by default. They should only report false once an unsuccessful request is reported to the listener.

Author:
  Morgan Delagrange

Method Summary
`boolean` | `didRequestSucceed(Request request)` Check to see if a particular Request succeeded or failed.
`boolean` | `didSessionSucceed(Session session)` Check to see if a particular Session succeeded or failed.
`boolean` | `didSuiteSucceed()` Returns true if all Requests in the suite succeed.
`java.util.List` | `getFailedResponses()` Returns a List of all responses that failed validation.

Methods inherited from interface org.apache.commons.latka.event.LatkaEventListener
`requestError, requestFailed, requestSkipped, requestSucceeded, suiteCompleted`

Method Detail

### didRequestSucceed

    public boolean didRequestSucceed(Request request)

  Check to see if a particular Request succeeded or failed.
  Parameters:
    `request` - the request to check for success or failure
  Returns:
    true if request succeeded

### didSessionSucceed

    public boolean didSessionSucceed(Session session)

  Check to see if a particular Session succeeded or failed. Once a request inside a session fails, the session itself is marked as a failure.
  Parameters:
    `session` - the session to check for success or failure
  Returns:
    true if all requests in the session succeeded

### didSuiteSucceed

    public boolean didSuiteSucceed()

  Returns true if all Requests in the suite succeed.
  Returns:
    true if all Requests have succeeded

### getFailedResponses

    public java.util.List getFailedResponses()

  Returns a List of all responses that failed validation.
  Returns:
    List of failed Responses

Overview | Package | Class | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. Documenation generated September 13 2001.